## ros-one-slic 2.1.31-19jammy.20251023.0733

=== debian/changelog ===
ros-one-slic (2.1.31-19jammy.20251023.0733) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Oct 2025 07:33:27 +0000

ros-one-slic (2.1.31-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-slic (2.1.30-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-slic (2.1.29-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-slic (2.1.28-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-slic (2.1.27-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-slic (2.1.26-0jammy) jammy; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-slic (2.1.25-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-slic (2.1.24-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-slic (2.1.23-0jammy) jammy; urgency=high

  * [slic] fix typo in slic/CMakeLists.txt (#261 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/261>)
  * Contributors: Shingo Kitagawa

 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-slic (2.1.22-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-slic (2.1.21-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-slic (2.1.20-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-slic (2.1.19-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-slic (2.1.18-0jammy) jammy; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * use .zip instead of git clone
      * use -I to compile slic.cpp
    
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-slic (2.1.17-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-slic (2.1.16-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-slic (2.1.15-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-one-slic (2.1.14-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-one-slic (2.1.13-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-one-slic (2.1.12-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-one-slic (2.1.11-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-one-slic (2.1.10-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-one-slic (2.1.9-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-one-slic (2.1.8-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000

ros-one-slic (2.1.7-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-slic (2.1.6-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 21 Nov 2017 00:00:00 -0000

ros-one-slic (2.1.5-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Mon, 20 Nov 2017 00:00:00 -0000

ros-one-slic (2.1.4-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sun, 16 Jul 2017 00:00:00 -0000

ros-one-slic (2.1.3-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-one-slic (2.1.2-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 06 Jul 2017 00:00:00 -0000

ros-one-slic (2.1.1-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 05 Jul 2017 00:00:00 -0000

ros-one-slic (2.1.0-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sun, 02 Jul 2017 00:00:00 -0000

ros-one-slic (2.0.20-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 09 May 2017 00:00:00 -0000

ros-one-slic (2.0.19-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-one-slic (2.0.18-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Fri, 28 Oct 2016 00:00:00 -0000

ros-one-slic (2.0.17-0jammy) jammy; urgency=high

  * add cmake/cmake_modules to depends
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sat, 22 Oct 2016 00:00:00 -0000

ros-one-slic (2.0.16-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Mon, 17 Oct 2016 00:00:00 -0000

ros-one-slic (2.0.15-0jammy) jammy; urgency=high

  * add slic
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sun, 16 Oct 2016 00:00:00 -0000

ros-one-slic (2.0.14-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sun, 20 Mar 2016 00:00:00 -0000



## ros-one-slic 2.1.31-19noble.20251023.0733

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(slic)
include(ExternalProject)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
# execute_process(COMMAND
#   git config --global http.sslVerify false)
## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)
ExternalProject_Add(
  slic
  URL https://github.com/garaemon/SLIC-Superpixels/archive/78d9a2ba7ae1d3fee8c2ec774a52536c5f08f07c.zip
  GIT_TAG 78d9a2ba7ae1d3fee8c2ec774a52536c5f08f07c
  CMAKE_COMMAND echo "configure"
  BUILD_COMMAND echo "build"
  INSTALL_COMMAND echo "install"
  )

find_package( OpenCV REQUIRED )
install(CODE "execute_process(COMMAND cmake -E make_directory ${CMAKE_INSTALL_PREFIX}/include/)")
install(CODE "execute_process(COMMAND cmake -E copy slic.h ${CMAKE_INSTALL_PREFIX}/include/ WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/slic-prefix/src/slic/)")

install(CODE "execute_process(COMMAND cmake -E make_directory ${CMAKE_INSTALL_PREFIX}/lib/)")
install(CODE "execute_process(COMMAND gcc -I${OpenCV_INCLUDE_DIRS} -fPIC --shared -o ${CMAKE_INSTALL_PREFIX}/lib/libslic.so ${CMAKE_CURRENT_BINARY_DIR}/slic-prefix/src/slic/slic.cpp)")

=== debian/changelog ===
ros-one-slic (2.1.31-19noble.20251023.0733) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Oct 2025 07:33:22 +0000

ros-one-slic (2.1.31-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-slic (2.1.30-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-slic (2.1.29-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-slic (2.1.28-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-slic (2.1.27-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-slic (2.1.26-0noble) noble; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-slic (2.1.25-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-slic (2.1.24-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-slic (2.1.23-0noble) noble; urgency=high

  * [slic] fix typo in slic/CMakeLists.txt (#261 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/261>)
  * Contributors: Shingo Kitagawa

 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-slic (2.1.22-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-slic (2.1.21-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-slic (2.1.20-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-slic (2.1.19-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-slic (2.1.18-0noble) noble; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * use .zip instead of git clone
      * use -I to compile slic.cpp
    
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-slic (2.1.17-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-slic (2.1.16-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-slic (2.1.15-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-one-slic (2.1.14-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-one-slic (2.1.13-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-one-slic (2.1.12-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-one-slic (2.1.11-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-one-slic (2.1.10-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-one-slic (2.1.9-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-one-slic (2.1.8-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000

ros-one-slic (2.1.7-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-slic (2.1.6-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 21 Nov 2017 00:00:00 -0000

ros-one-slic (2.1.5-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Mon, 20 Nov 2017 00:00:00 -0000

ros-one-slic (2.1.4-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sun, 16 Jul 2017 00:00:00 -0000

ros-one-slic (2.1.3-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-one-slic (2.1.2-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 06 Jul 2017 00:00:00 -0000

ros-one-slic (2.1.1-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 05 Jul 2017 00:00:00 -0000

ros-one-slic (2.1.0-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sun, 02 Jul 2017 00:00:00 -0000

ros-one-slic (2.0.20-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 09 May 2017 00:00:00 -0000

ros-one-slic (2.0.19-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-one-slic (2.0.18-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Fri, 28 Oct 2016 00:00:00 -0000

ros-one-slic (2.0.17-0noble) noble; urgency=high

  * add cmake/cmake_modules to depends
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sat, 22 Oct 2016 00:00:00 -0000

ros-one-slic (2.0.16-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Mon, 17 Oct 2016 00:00:00 -0000

ros-one-slic (2.0.15-0noble) noble; urgency=high

  * add slic
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sun, 16 Oct 2016 00:00:00 -0000

ros-one-slic (2.0.14-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sun, 20 Mar 2016 00:00:00 -0000



=== debian/control ===
Source: ros-one-slic
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ca-certificates, cmake, git, libopencv-dev, openssl, ros-one-cmake-modules
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-slic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev
Description: SLIC-Superpizel ROS Wrapper This file contains the class elements of the class Slic.
 This class is an implementation of the SLIC Superpixel algorithm by Achanta et al. [PAMI'12, vol. 34, num. 11, pp. 2274-2282]. This implementation is created for the specific purpose of creating over-segmentations in an OpenCV-based environment.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

# Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-slic//opt/ros/one/lib/:$(CURDIR)/debian/ros-one-slic//opt/ros/one/lib/${DEB_HOST_MULTIARCH}

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
